> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update password of logged in user

> Changes the calling user's password. Requires the current password in the body for re-authentication.



## OpenAPI

````yaml /openapi/findity-expense-api.json post /me/password
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/password:
    post:
      tags:
        - User
      summary: Update password of logged in user
      description: >-
        Changes the calling user's password. Requires the current password in
        the body for re-authentication.
      operationId: changePassword
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordRequest'
            examples:
              changePassword:
                value:
                  oldPassword: oldNotSoFancyPassword321?
                  newPassword: newFancyPassword123!
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  expiresIn:
                    type: integer
                  accessToken:
                    type: string
                  refreshToken:
                    type: string
              example:
                expiresIn: 3600
                accessToken: >-
                  eae3a3a225368f247b419e2318dec3eefa19dbb33023fea7987bc2a893e90c7ec5473ca0c50b17265fb23adf0a23ff34c105bb33f13c88ddbbd13bae82d7cb15
                refreshToken: >-
                  59fec24de9f49918f50a315f61e114d82925e30d1b62ef90d1d9ed598a08c5f48c9d82572d35de38879cb6b03ca99e2261d17b9f579e6f598662f3aad326976d
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                new password is not valid:
                  value:
                    result: error
                    description: >-
                      Your password must be at least eight characters long. It
                      must contain at least one number and two letters, one
                      upper case and one lower case.
                    code: PASSWORD_VALIDATION_ERROR
                invalid current password:
                  value:
                    result: error
                    description: Your current password does not match
                    code: INCORRECT_CURRENT_PASSWORD
components:
  schemas:
    PasswordRequest:
      type: object
      properties:
        newPassword:
          type: string
          description: New password for logged in user
        oldPassword:
          type: string
          description: Old password for logged in user
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````